# Dynoga

[![NPM](https://nodei.co/npm/dynoga.png)](https://nodei.co/npm/dynoga/)

## Disclaimer

**Dynoga** is a lightweight library to use DynamoDB with JavaScript objects.

We use CRUD naming for easy matching with [Backbone.ioBind](https://github.com/logicalparadox/backbone.iobind)


## How to use

### Initialize


```
Dynoga = require "dynoga"

db = new Dynoga
  endpoint: config.dynamoDB.endpoint
  accessKeyId: config.dynamoDB.accessKeyId
  secretAccessKey: config.dynamoDB.secretAccessKey
  region: config.dynamoDB.region
```

### Create an item


```
db.create "mytable", item, (err, model) ->
  if err then console.log err
  console.log model
```

### Read an item

**keys**: Key/value object, a hash is mandatory

```
db.read "mytable", keys, (err, model) ->
  if err then console.log err
  console.log model
```


### Update an item

**item**: Key/value object, a hash and range are mandatory

Dynoga automatically find primary keys for update the good item.

```
db.update "mytable", item, (err, model) ->
  if err then console.log err
  console.log model
```

### Delete an item

**item**: Key/value object, a hash and range are mandatory

Dynoga automatically find primary keys for delete the good item.

```
db.delete "mytable", item, (err, model) ->
  if err then console.log err
  console.log model
```
